summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-05-12 23:29:46 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:46 +0200
commit0c91c7f00b8e234d7a94ca1a0427d67bdaa63fc5 (patch)
tree6f85c1a8ab9e4dbb93819843786278d5c7c126ee /libraries
parentf1ff3efef1fdc18608a58f3f478da49596952d03 (diff)
downloadslackbuilds-0c91c7f00b8e234d7a94ca1a0427d67bdaa63fc5.tar.gz
slackbuilds-0c91c7f00b8e234d7a94ca1a0427d67bdaa63fc5.tar.xz
libraries/BeautifulSoup: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/BeautifulSoup/BeautifulSoup.SlackBuild71
-rw-r--r--libraries/BeautifulSoup/BeautifulSoup.info8
-rw-r--r--libraries/BeautifulSoup/README26
-rw-r--r--libraries/BeautifulSoup/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/libraries/BeautifulSoup/BeautifulSoup.SlackBuild b/libraries/BeautifulSoup/BeautifulSoup.SlackBuild
new file mode 100644
index 0000000000..cfe667a46e
--- /dev/null
+++ b/libraries/BeautifulSoup/BeautifulSoup.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for BeautifulSoup.
+#
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=BeautifulSoup
+VERSION=3.1.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="PKG-INFO README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/BeautifulSoup/BeautifulSoup.info b/libraries/BeautifulSoup/BeautifulSoup.info
new file mode 100644
index 0000000000..e8b1b0dab9
--- /dev/null
+++ b/libraries/BeautifulSoup/BeautifulSoup.info
@@ -0,0 +1,8 @@
+PRGNAM="BeautifulSoup"
+VERSION="3.1.0.1"
+HOMEPAGE="http://www.crummy.com/software/BeautifulSoup/"
+DOWNLOAD="http://www.crummy.com/software/BeautifulSoup/download/BeautifulSoup-3.1.0.1.tar.gz"
+MD5SUM="bcffef3eda6e06e6d1e18c06a9db8a24"
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero,rworkman"
diff --git a/libraries/BeautifulSoup/README b/libraries/BeautifulSoup/README
new file mode 100644
index 0000000000..002dc2b409
--- /dev/null
+++ b/libraries/BeautifulSoup/README
@@ -0,0 +1,26 @@
+Beautiful Soup is a Python HTML/XML parser designed for quick turnaround
+projects like screen-scraping. Three features make it powerful:
+
+ 1. Beautiful Soup won't choke if you give it bad markup. It yields a
+ parse tree that makes approximately as much sense as your original
+ document. This is usually good enough to collect the data you need
+ and run away.
+
+ 2. Beautiful Soup provides a few simple methods and Pythonic idioms for
+ navigating, searching, and modifying a parse tree: a toolkit for
+ dissecting a document and extracting what you need. You don't have to
+ create a custom parser for each application.
+
+ 3. Beautiful Soup automatically converts incoming documents to Unicode and
+ outgoing documents to UTF-8. You don't have to think about encodings,
+ unless the document doesn't specify an encoding and Beautiful Soup can't
+ autodetect one. Then you just have to specify the original encoding.
+
+Beautiful Soup parses anything you give it, and does the tree traversal
+stuff for you. You can tell it "Find all the links", or "Find all the links
+of class externalLink", or "Find all the links whose urls match "foo.com",
+or "Find the table heading that's got bold text, then give me that text."
+
+Valuable data that was once locked up in poorly-designed websites is now
+within your reach. Projects that would have taken hours take only minutes
+with Beautiful Soup.
diff --git a/libraries/BeautifulSoup/slack-desc b/libraries/BeautifulSoup/slack-desc
new file mode 100644
index 0000000000..1b910ec033
--- /dev/null
+++ b/libraries/BeautifulSoup/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+BeautifulSoup: BeautifulSoup (Python HTML/XML parser)
+BeautifulSoup:
+BeautifulSoup: Beautiful Soup is a Python HTML/XML parser designed for quick
+BeautifulSoup: turnaround projects like screen-scraping
+BeautifulSoup:
+BeautifulSoup:
+BeautifulSoup:
+BeautifulSoup:
+BeautifulSoup:
+BeautifulSoup:
+BeautifulSoup: